%global sname pg_cron
%ifarch loongarch64
%global llvm 0
%else
%global llvm 1
%endif
%global pgmajorversion 16

Summary:  Run periodic jobs in PostgreSQL
Name:     postgresql%{pgmajorversion}-%{sname}
Version:  1.6.2
Release:  2%{dist}
License:  AGPLv3
URL:      https://github.com/citusdata/%{sname}
Source0:  https://github.com/citusdata/%{sname}/archive/v%{version}.tar.gz

BuildRequires:	postgresql%{pgmajorversion}-private-devel libxml2-devel
# pg_config -> pg_server_config (postgresql-server-devel provides)
BuildRequires:	postgresql%{pgmajorversion}-server-devel
Requires:	postgresql%{pgmajorversion}-server
Requires(post):	%{_sbindir}/update-alternatives
Requires(postun):	%{_sbindir}/update-alternatives

%description
pg_cron is a simple cron-based job scheduler for PostgreSQL
(9.5 or higher) that runs inside the database as an extension.
It uses the same syntax as regular cron, but it allows you to
schedule PostgreSQL commands directly from the database.

%if %llvm
%package llvmjit
Summary:	Just-in-time compilation support for pg_cron
Requires:	%{name} = %{version}-%{release}
Requires:	llvm => 13.0

%description llvmjit
This packages provides JIT support for pg_cron
%endif

%prep
%autosetup -n %{sname}-%{version}

%build
%make_build

%install
%make_install
# Install documentation with a better name:
%{__mkdir} -p %{buildroot}%{_docdir}/pgsql/extension
%{__cp} README.md %{buildroot}%{_docdir}/pgsql/extension/README-%{sname}.md

%files
%license LICENSE
%doc CHANGELOG.md
%doc %{_docdir}/pgsql/extension/README-%{sname}.md
%{_libdir}/pgsql/%{sname}.so
%{_datadir}/pgsql/extension/%{sname}-*.sql
%{_datadir}/pgsql/extension/%{sname}.control

%if %llvm
%files llvmjit
   %{_libdir}/pgsql/bitcode/%{sname}*.bc
   %{_libdir}/pgsql/bitcode/%{sname}/src/*.bc
%endif

%changelog
* Wed Jun 12 2024 Zhai Liangliang <zhailiangliang@loongson.cn> - 1.6.2-2
- [Type] other
- [DESC] Fix build error for loongarch64

* Fri Apr 12 2024 Wang Guodong <gordonwwang@tencent.com> - 1.6.2-1
- init build
